Bug 74094 - multimedia/mpeg4ip-libmp4v2 is missing headers
Summary: multimedia/mpeg4ip-libmp4v2 is missing headers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-18 21:10 UTC by Andrew Thompson
Modified: 2004-11-28 17:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Thompson 2004-11-18 21:10:19 UTC
mpeg4ip-libmp4v2 installs the header /usr/local/include/mp4.h, but mp4.h also depends on mpeg4ip.h, mpeg4_config.h and mpeg4_version.h

The missing headers are installed by multimedia/mpeg4ip so im not sure how to fix without causing conflicts.


The current plist for mpeg4ip-libmp4v2 is:
/usr/local/bin/mp4dump
/usr/local/bin/mp4extract
/usr/local/bin/mp4info
/usr/local/bin/mp4tags
/usr/local/bin/mp4trackdump
/usr/local/include/mp4.h
/usr/local/lib/libmp4v2.a
/usr/local/lib/libmp4v2.so
/usr/local/lib/libmp4v2.so.0
Comment 1 Michael Johnson 2004-11-18 21:14:02 UTC
On Nov 18, 2004, at 4:08 PM, Andrew Thompson wrote:
>
>> Description:
>
> mpeg4ip-libmp4v2 installs the header /usr/local/include/mp4.h, but 
> mp4.h also depends on mpeg4ip.h, mpeg4_config.h and mpeg4_version.h
>
> The missing headers are installed by multimedia/mpeg4ip so im not sure 
> how to fix without causing conflicts.
>
>
> The current plist for mpeg4ip-libmp4v2 is:
> /usr/local/bin/mp4dump
> /usr/local/bin/mp4extract
> /usr/local/bin/mp4info
> /usr/local/bin/mp4tags
> /usr/local/bin/mp4trackdump
> /usr/local/include/mp4.h
> /usr/local/lib/libmp4v2.a
> /usr/local/lib/libmp4v2.so
> /usr/local/lib/libmp4v2.so.0
>


This is a known problem, I've submitted a patch to lioux, just waiting 
for approval

Michael
Comment 2 Michael Johnson freebsd_committer 2004-11-19 00:20:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahze

Mine
Comment 3 Michael Johnson freebsd_committer 2004-11-27 20:04:28 UTC
State Changed
From-To: open->closed

Fixed with a temporary of depending on multimedia/mpeg4ip if  
multimeida/mpeg4ip-libmp4v2 is already installed
Comment 4 Michael Johnson freebsd_committer 2004-11-28 12:05:54 UTC
State Changed
From-To: closed->open

Re-open, Fix didn't work
Comment 5 Michael Johnson freebsd_committer 2004-11-28 17:40:25 UTC
State Changed
From-To: open->closed

Fixed